#
# spec file for package libspiro
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libspiro
Version:        0.5.20150702
Release:        1.4
Summary:        A clothoid to bezier spline converter
License:        GPL-2.0+
Group:          System/Libraries
Source0:        https://github.com/fontforge/libspiro/archive/%{version}.tar.gz
Url:            https://github.com/fontforge/libspiro
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
libspiro contains routines which will convert an array of clothoid
spline control points into an equivalent set of bezier control points.

%package -n %{name}0
Summary:        A clothoid to bezier spline converter
Group:          System/Libraries

%description -n %{name}0
libspiro contains routines which will convert an array of clothoid
spline control points into an equivalent set of bezier control points.

%package devel
Summary:        Development Files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}0 = %{version} glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to compile and develop applications that use %{name}.


%prep
%setup -q

%build
autoreconf -i
automake --foreign -Wall
%configure --with-pic\
           --disable-static
make %{?smp_mflags}

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n %{name}0 -p /sbin/ldconfig

%postun -n %{name}0 -p /sbin/ldconfig

%files -n %{name}0
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README* 
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Dec 16 2015 pgajdos@suse.com
- update to version 0.5.20150702
  * Important bug fix issue #11 (missing file not included in 0v4).
  * 2 Minor bug fixes caught on Coverity scan, free() and if c=3.
  * Re-edit lib and tests to be more accommodating of older compilers.
  * Verify libspiro output data is correct for test curves {0,1,2,4}.
* Sat Feb 14 2015 p.drouand@gmail.com
- Update to version 0.3.20150131
  * fixes for LibSpiro package definitions (bfo#196780)
  * allowing other programs to seek LibSpiro using PKG_CHECK_MODULES().
    (bao#43373)
- Update home page and download source Urls
- Add autoconf, automake and libtool requirements; needed to generate
  the configure script
- Remove depreciated AUTHORS section
- Package AUTHORS, ChangeLog and COPYING into the doc directory
- gpl.txt is not provided anymore by upstream
* Mon Feb  6 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See gpl.txt and e.g. spiro.c - there is no indication that this is
  BSD-3-Clause licensed and every indication that it is GPL-2.0+ licensed
* Sat Feb  4 2012 jengelh@medozas.de
- Restore ldconfig call for shlib package
* Sat Feb  4 2012 i@marguerite.su
- rename spec file and changelog to meet Factory requirements.
* Sat Feb  4 2012 jengelh@medozas.de
- Remove redundant tags/sections
- pkgconfig file: libm should not be in the shared link
- Remove pointless Obsoletes, the supposedly old name has never
  been in use before
* Sat Feb  4 2012 jengelh@medozas.de
- make license SPDX compatible.
* Sun Dec 25 2011 i@marguerite.su
- enable debuginfo package
* Sat Nov 26 2011 i@marguerite.su
- formated specfile to merge into home:opensuse_zh
